/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   so_long.h                                          :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/12/10 17:59:18 by erey-bet          #+#    #+#             */
/*   Updated: 2022/12/10 18:29:57 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef SO_LONG_H
# define SO_LONG_H

# include <X11/X.h>
# include "minilibx-linux/mlx.h"
# include "key.h" 
# include <stdlib.h>
# include "42_libft/libft.h"

typedef struct s_data
{
	void	*mlx;
	void	*mlx_win;
	void	*player;
	void	*bg;
	void	*wall;
	int		x_player;
	int		y_player;
	int		h_screen;
	int		w_screen;
}	t_data;

#endif
